#include "global.h"
#include <fstream>

Global g;
const double pi = 3.1415926535;

Global::Global()
{
	running = true;
	texture_used = 0;
}

string load_file_to_string(string filename)
{
	size_t size;
	char*  str;
	string s;

	fstream f(filename.c_str(), (fstream::in | fstream::binary));

	if(f.is_open())
	{
		size_t fileSize;
		f.seekg(0, fstream::end);
		size = fileSize = f.tellg();
		f.seekg(0, fstream::beg);

		str = new char[size+1];
		if(!str)
		{
			f.close();
			return NULL;
		}

		f.read(str, fileSize);
		f.close();
		str[size] = '\0';
	
		s = str;
		delete[] str;
		return s;
	}
	else
	{
		printf("Error: Failed to load kernel source\n");
		exit(1);
	}
	return 0;
}
